Package org.apache.synapse.task.service

## Interface TaskManagementService

-     public interface TaskManagementService

  A service for management of task Implementation can be a web service , OSGi service , etc

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `addTaskDescription​(TaskDescription taskDescription)` | Adding a TaskDescription instance
    `void` | `deleteTaskDescription​(String name)` | Deletes a TaskDescription instance with given name
    `void` | `editTaskDescription​(TaskDescription taskDescription)` | Edit a TaskDescription Remove existing one with new one
    `List<TaskDescription>` | `getAllTaskDescriptions()` | Lists of all TaskDescription instances
    `List<String>` | `getPropertyNames​(String taskClass)` | Returns list of names of assignable instance properties of the task implementation
    `TaskDescription` | `getTaskDescription​(String name)` | Get a TaskDescription instance with given name
    `boolean` | `isContains​(String name)` | Explicit check for availability of a particular TaskDescription instance

- - ### Method Detail

    - #### addTaskDescription

          void addTaskDescription​(TaskDescription taskDescription)

      Adding a TaskDescription instance
      Parameters:
        `taskDescription` - TaskDescription instance

    - #### deleteTaskDescription

          void deleteTaskDescription​(String name)

      Deletes a TaskDescription instance with given name
      Parameters:
        `name` - Name of the TaskDescription to be deleted

    - #### editTaskDescription

          void editTaskDescription​(TaskDescription taskDescription)

      Edit a TaskDescription Remove existing one with new one
      Parameters:
        `taskDescription` - New TaskDescription instance

    - #### getAllTaskDescriptions

          List<TaskDescription> getAllTaskDescriptions()

      Lists of all TaskDescription instances
      Returns:
        A List of TaskDescription

    - #### getTaskDescription

          TaskDescription getTaskDescription​(String name)

      Get a TaskDescription instance with given name
      Parameters:
        `name` - Name of the TaskDescription instance to be returned
      Returns:
        TaskDescription instance

    - #### isContains

          boolean isContains​(String name)

      Explicit check for availability of a particular TaskDescription instance
      Parameters:
        `name` - Name of the TaskDescription instance
      Returns:
        Returns true if there is a TaskDescription instance with given name , otherwise , false

    - #### getPropertyNames

          List<String> getPropertyNames​(String taskClass)

      Returns list of names of assignable instance properties of the task implementation
      Parameters:
        `taskClass` - A name of the task implementation
      Returns:
        List of assignable property's names